.max-width {
    max-width: 1600px;
}

body {
    background-color: rgb(253, 231, 220);;//#F8F6F4;
    font-family: 'Gotham SSm 4r', 'Gotham SSm A', 'Gotham SSm B', sans-serif;

}

@media only screen and (max-width: 450px) {
    .h2, h2 {
        font-size: 25px;
    }
}

ul {
    list-style: none;
    padding: 0;
}

.btn-primary {
    background-color: transparent;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    -webkit-box-shadow: 1px 1px 8px 0px rgba(18, 43, 64, .25);
    -moz-box-shadow: 1px 1px 8px 0px rgba(18, 43, 64, .25);
    box-shadow: 1px 1px 8px 0px rgba(18, 43, 64, .25);
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus,
.btn-primary:active:focus,
.btn-primary:active:hover {
    background-color: #efece9;
    outline: 0;
}

.btn-primary.active.focus,
.btn-primary.active:focus,
.btn-primary.active:hover,
.btn-primary:active.focus,
.btn-primary:active:focus,
.btn-primary:active:hover,
.open > .dropdown-toggle.btn-primary.focus,
.open > .dropdown-toggle.btn-primary:focus,
.open > .dropdown-toggle.btn-primary:hover,
.btn-primary:hover,
.btn-primary.focus, .btn-primary:focus,
.btn-primary.active, .btn-primary:active, .open > .dropdown-toggle.btn-primary,
.open .dropdown-toggle.btn-primary {
    color: #FFFFFF;
    background-color: #286090;
}

.btn-save,
.btn-save:hover,
.btn-save:active,
.btn-save:focus,
.btn-save:active:focus,
.btn-save:active:hover {
    color: #FFFFFF;
    background-color: #BDD59C;
    border-color: #BDD59C !important;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.btn-danger {
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    -webkit-box-shadow: 1px 1px 8px 0px rgba(18, 43, 64, .25);
    -moz-box-shadow: 1px 1px 8px 0px rgba(18, 43, 64, .25);
    box-shadow: 1px 1px 8px 0px rgba(18, 43, 64, .25);
    background-color: #a94442;
    color: #FFFFFF !important;
}

.btn-danger:hover,
.btn-danger:active,
.btn-danger:focus,
.btn-danger:active:focus,
.btn-danger:active:hover {
    background-color: #923e3c;
    outline: 0;
}

.btn-delete, .btn-confirm-delete {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
);
}

.txt-ios-blue {
    color: rgb(0, 122, 255);
}

.txt-ios-red {
    color: #a94442;
}

.txt-ios-red:hover,
.txt-ios-red:active,
.txt-ios-red:focus,
.txt-ios-red:active:focus,
.txt-ios-red:active:hover {
    color: #923e3c;
}

.router-outlet-container .ng-valid[required] {
    border-left: 5px solid #42A948; /* green */
}

.router-outlet-container input.ng-invalid,
.router-outlet-container select.ng-invalid,
.router-outlet-container textarea.ng-invalid {
    border-left: 5px solid #a94442; /* red */
}

/** Modules **/
.module-container {
    padding: 8px 0 43px 0;
}

.module-body {
    padding: 0 46px;
    word-break: break-word;
}

@media only screen and (max-width: 450px) {
    .module-body {
        padding: 0 20px;
    }
}

/* Image Editing */
.image-edit {
    cursor: pointer;
    text-align: center;
}

.image-url-container {
    max-width: 100%;
}

.image-edit .image-url-container {
    position: relative;
    display: inline-block;
}

.image-edit .image-url-container:before,
.header-image-edit-container:before {
    content: ' ';
    position: absolute;
    display: block;
    background-color: rgba(88, 88, 88, 0.67);
    width: 100%;
    height: 40px;
    left: 0;
    bottom: 0;
    cursor: pointer;
}

.image-edit .image-url-container:after,
.header-image-edit-container:after {
    font-family: 'Gotham SSm 4r', 'Gotham SSm A', 'Gotham SSm B', sans-serif;
    font-size: 1.1em;
    letter-spacing: 1.2px;
    font-weight: lighter;
    content: 'Click to Upload Photo';
    position: absolute;
    width: 100%;
    bottom: 6px;
    color: #edeeef;
    left: 0;
    cursor: pointer;
}

.header-image-edit-container:after {
    content: 'Click to Edit Header';
}

span.no-image {
    min-height: 200px;
    width: 90%;
    min-width: 240px;
}

.card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    border: 1px solid rgba(0, 0, 0, 0.08);
    transition: 0.2s;
    border-radius: 4px;
    padding: 12px 16px;
    display: inline-block;
}

.card:hover {
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.pointer {
    cursor: pointer;
}

.add, .delete {
    padding: 0;
    font-size: 20px;
    cursor: pointer;
}

/*.add {
    -webkit-text-stroke: 4px #F8F6F4 !important;
    -moz-text-stroke: 4px #F8F6F4 !important;
    font-size:26px;
}
.nav>li>a:focus, .nav>li>a:hover .add {
    -webkit-text-stroke: 4px #F8F6F4 !important;
    -moz-text-stroke: 4px #F8F6F4 !important;
}
*/
a, a:hover, a:active, a:focus {
    text-decoration: none;
}

a:hover, a:active, a:focus {
    background-color: #efece9;
    text-decoration: none;
}

.custom-admin-text, .custom-admin-text input, .custom-admin-text textarea {
    font-size: 1.1em;
    font-family: 'Gotham SSm 4r', 'Gotham SSm A', 'Gotham SSm B', sans-serif;
    letter-spacing: 1.2px;
    font-weight: lighter;
}

.custom-admin-title, .custom-admin-title input, .custom-admin-title textarea {
    font-family: 'Gotham SSm 4r', 'Gotham SSm A', 'Gotham SSm B', sans-serif;
    text-transform: uppercase;
    letter-spacing: 3px;
}

.btn.custom-admin-title, .btn.custom-admin-text {
    background-color: #FFFFFF;
}

.custom-module-text, .custom-module-text input, .custom-module-text textarea {
    font-size: 1.1em;
    font-family: Palatino, "Palatino Linotype", "Palatino LT STD", "Book Antiqua", Georgia, serif;
    letter-spacing: 1.2px;
    font-weight: lighter;
}

.custom-module-title, .custom-module-title input, .custom-module-title textarea, input.custom-module-title, textarea.custom-module-title {
    font-family: Palatino, "Palatino Linotype", "Palatino LT STD", "Book Antiqua", Georgia, serif;
    text-transform: uppercase;
    letter-spacing: 3px;
}

.custom-module-text input, .custom-module-text textarea {
    font-size: 1em;
}

h3 {
    font-size: 16px;
    border: 1px solid transparent;
}

.website-footer {
    text-align: center;
    width: 100%;
    padding: 30px 0 46px 0;
}

.website-footer .logo {
    max-width: 148px;
}

.website-footer .tagline {
    padding: 22px 0 0 0;
    font-family: 'Gotham SSm 4r', 'Gotham SSm A', 'Gotham SSm B', sans-serif;
    letter-spacing: 4px;
    text-transform: uppercase;
    font-size: 12px;
}

.website-footer a,
.website-footer a:hover,
.website-footer a:active {
    text-decoration: none;
    background: transparent;
}

.no-print {
    display: none !important;
}

input,
textarea,
.form-control {
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

input:focus,
textarea:focus,
.form-control:focus {
    outline: 0;
    -webkit-box-shadow: inset 0 0px 0px rgba(0, 0, 0, 0), 0 0 0px rgba(0, 0, 0, 0);
    box-shadow: inset 0 0px 0px rgba(0, 0, 0, 0), 0 0 0px rgba(0, 0, 0, 0);
}

.modal-header .close {
    opacity: 1;
    text-shadow: none;
}

.nav-list li:hover,
#module-list li:hover,
#add-section li:hover,
#website-status li:hover {
    background-color: #F8F6F4;
}

#add-section #section-pick-container:hover {
    background-color: #FFFFFF;
}

.custom-enable-bg {
    background-color: #BDD59C;
    color: #FFFFFF;
}

.btn.custom-admin-title:hover, .btn.custom-admin-text:hover,
.btn-publish.custom-enable-bg:hover,
.btn-save-website.custom-enable-bg:hover {
    background-color: #b7d097;
    color: #FFFFFF;
    border-color: #a5bd89;
}

.btn-save,
.btn-save:hover,
.btn-save:active,
.btn-save:focus,
.btn-save:active:focus,
.btn-save:active:hover {
    color: #FFFFFF;
    background-color: #BDD59C;
    border-color: #BDD59C !important;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

/** WHEN EDIT MODE IS ENABLED **/

.admin-editing-module input,
.admin-editing-module textarea {
    background-color: transparent;
    padding: 0;
    margin: 0;
    border: 1px dashed #CCCCCC;
}

.admin-editing-module input {

}

.admin-editing-module textarea {
    margin-top: -1px;
}

.admin-viewing-module .module-container:hover {
    opacity: .8;
    cursor: pointer;
}

/** END EDIT MODE **/


/** DARK THEME - Comment this out to revert back to light theme **/
/*
.custom-dark-color,
#authentication a,
#settings-list a,
.offcanvas.custom-bg,
.top-nav-header.custom-bg,
.top-nav-header .custom-color,
.login-form-list .btn{
    color:#FFFFFF;
}
.close-nav .logo img {
    filter: brightness(0) invert(1);
}

.custom-dark-bg,
.offcanvas.custom-bg,
.top-nav-header.custom-bg{
    background-color:#58595b;
}
.custom-dark-border,
.login-form-list .custom-border {
    border-color: #454648;
}
.custom-translucent-bg {
    background-color:#58595bfa;
}

.custom-dark-form input,
.navbar-form input.ng-invalid,
.navbar-form input.ng-valid,
.navbar-form input.ng-valid[required],
.navbar-form .input-group-addon {
    border-color:#ccc;
    border-left:1px solid #ccc;
    -webkit-box-shadow: 0 0 0 30px #FFFFFF inset;
    -webkit-text-fill-color: #58595B !important;
}

.custom-dark-form input,
.login-list input.ng-invalid,
.login-list input.ng-valid,
.login-list input.ng-valid[required]
{
    background-color:#696969;
    color:#FFFFFF;
    border-color:#58595b;
    -webkit-box-shadow: 0 0 0 30px #696969 inset;
    -webkit-text-fill-color: #FFFFFF !important;
}

.nav-list li:hover,
#module-list li:hover,
#add-section li:hover,
#website-status li:hover
{
    background-color: #f3f6f9;
}

.btn-publish.custom-enable-bg{
    background-color:#FFFFFF;
    color:#58595B;
}
.btn-publish.custom-enable-bg:hover{
    background-color:#f3f6f9;
    color:#58595B;
}
*/

/** END DARK THEME **/
